ffmpeg-4-private-devel-4.1.3-62.1.i586.rpm


Advertisement

Description

ffmpeg-4-private-devel - Some FFmpeg private headers

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename ffmpeg-4-private-devel-4.1.3-62.1.i586.rpm
Package name ffmpeg-4-private-devel
Package version 4.1.3
Package release 62.1
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage https://ffmpeg.org/
License LGPL-2.1-or-later AND GPL-2.0-or-later
Maintainer -
Download size 84.10 KB
Installed size 139.35 KB
FFmpeg is a multimedia framework, able to decode, encode,
transcode, mux, demux, stream, filter and play several formats
that humans and machines have created.
This package contains some private headers for libavformat, libavcodec and
libavutil which are needed by libav-tools to build. No other package apart
from libav should depend on these private headers which are expected to
break compatibility without any notice.

Alternatives

Package Version Architecture Repository
ffmpeg-4-private-devel-4.2.1-4.6.i586.rpm 4.2.1 i586 Packman
ffmpeg-4-private-devel-4.2.1-4.6.x86_64.rpm 4.2.1 x86_64 Packman
ffmpeg-4-private-devel-4.2.1-2.1.i586.rpm 4.2.1 i586 VLC
ffmpeg-4-private-devel-4.2.1-2.1.x86_64.rpm 4.2.1 x86_64 VLC
ffmpeg-4-private-devel-4.1.3-64.1.x86_64.rpm 4.1.3 x86_64 Multimedia Libs
ffmpeg-4-private-devel-4.1.3-1.1.x86_64.rpm 4.1.3 x86_64 openSUSE Oss
ffmpeg-4-private-devel-4.1.3-1.1.i586.rpm 4.1.3 i586 openSUSE Oss
ffmpeg-4-private-devel - - -

Requires

Name Value
ffmpeg-4-libavcodec-devel = 4.1.3-62.1
ffmpeg-4-libavformat-devel = 4.1.3-62.1
ffmpeg-4-libavutil-devel = 4.1.3-62.1

Provides

Name Value
ffmpeg-4-private-devel = 4.1.3-62.1
ffmpeg-4-private-devel(x86-32) = 4.1.3-62.1
ffmpeg-private-devel = 4.1.3

Conflicts

Name Value
ffmpeg-private-devel < 4
ffmpeg-private-devel >= 5
libavcodec-devel < 4
libavcodec-devel >= 5
libavdevice-devel >= 5
libavdevice-devel < 4
libavfilter-devel < 4
libavfilter-devel >= 5
libavformat-devel < 4
libavformat-devel >= 5
libavresample-devel < 4
libavresample-devel >= 5
libavutil-devel >= 5
libavutil-devel < 4
libpostproc-devel < 4
libpostproc-devel >= 5
libswresample-devel < 4
libswresample-devel >= 5
libswscale-devel < 4
libswscale-devel >= 5

Obsoletes

Name Value
ffmpeg-private-devel < 4.1.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ffmpeg-4-private-devel-4.1.3-62.1.i586.rpm
Source Package ffmpeg-4-4.1.3-62.1.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install ffmpeg-4-private-devel rpm package:
    # zypper install ffmpeg-4-private-devel

Files

Path
/usr/include/ffmpeg/private/
/usr/include/ffmpeg/private/libavcodec/options_table.h
/usr/include/ffmpeg/private/libavformat/internal.h
/usr/include/ffmpeg/private/libavformat/options_table.h
/usr/include/ffmpeg/private/libavformat/os_support.h
/usr/include/ffmpeg/private/libavutil/colorspace.h
/usr/include/ffmpeg/private/libavutil/internal.h
/usr/include/ffmpeg/private/libavutil/libm.h
/usr/include/ffmpeg/private/libavutil/timer.h
/usr/include/ffmpeg/private/libavutil/aarch64/timer.h
/usr/include/ffmpeg/private/libavutil/arm/timer.h
/usr/include/ffmpeg/private/libavutil/bfin/timer.h
/usr/include/ffmpeg/private/libavutil/ppc/timer.h
/usr/include/ffmpeg/private/libavutil/x86/emms.h
/usr/include/ffmpeg/private/libavutil/x86/timer.h

Changelog

2019-04-30 - Hans-Peter Jansen <hpj@urpla.net>
- Update patch 0001-Add-ability-for-ffmpeg-to-run-svt-av1.patch
from upstream
2019-04-02 - seanlew@opensuse.org
- Update to version 4.1.3:
* Updates and bug fixes for codecs, filters and formats.
[boo#1133153, boo#1133155, CVE-2019-11338, CVE-2019-11339]
2019-03-28 - Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 4.1.2:
* Updates and bug fixes for codecs, filters and formats.
2019-03-17 - Bjørn Lie <bjorn.lie@gmail.com>
- Add ffmpeg-avcodec-libdav1d-AV1-decoder-wrapper.patch: Backport
dav1d decoder support for aom (av1) codec. Following this, add
conditional pkgconfig(dav1d) BuildRequires and pass conditional
- -enable-libdav1d to configure. Also add libdav1d to
enable_decoders.
2019-03-09 - Bjørn Lie <bjorn.lie@gmail.com>
- Add a new filter line to rpmlintrc
(addFilter("no-dependency-on ffmpeg-4-lib*")).
2019-03-04 - John Vandenberg <jayvdb@gmail.com>
- Add trivial encoder rawvideo, already enabled in decoders
2019-03-02 - Jan Engelhardt <jengelh@inai.de>
- Unconditionalize bs2b, it exists in openSUSE 13.x too.
2019-03-01 - bjorn.lie@gmail.com
- Drop ffmpeg-libcdio_cdda-pkgconfig.patch: It only adds comments
in it's current form, so serves no purpose at all anymore.
- Refresh patches with refresh_patches service.
- Rename rpmlintrc file to ffmpeg-4-rpmlintrc.
2019-02-28 - bjorn.lie@gmail.com
- Add missing conditional configure option: --enable-libbs2b,
BuildRequires already in place.
2019-02-16 - bjorn.lie@gmail.com
- Add aac to enabled_encoders and enabled_decoders. Build the
native aac support in ffmpeg. These do not support HE-AAC (v1/2)
protocols.

See Also

Package Description
ffmsindex-2.23.1-4.29.i586.rpm Wrapper library around libffmpeg
ffmsindex-2.23.1-4.29.x86_64.rpm Wrapper library around libffmpeg
ffnvcodec-devel-8.2.15.7-13.1.i586.rpm FFmpeg version of NVIDIA codec API headers
ffnvcodec-devel-8.2.15.7-13.1.x86_64.rpm FFmpeg version of NVIDIA codec API headers
fftw3-devel-3.3.8-88.3.i586.rpm Include Files and Libraries mandatory for Development
fftw3-devel-3.3.8-88.3.x86_64.rpm Include Files and Libraries mandatory for Development
fftw3-gnu-hpc-devel-3.3.8-88.3.i586.rpm Dependency package for fftw3_3_3_8-gnu-hpc-devel
fftw3-gnu-hpc-devel-3.3.8-88.3.x86_64.rpm Dependency package for fftw3_3_3_8-gnu-hpc-devel
fftw3-gnu-mpich-hpc-devel-3.3.8-88.3.i586.rpm Dependency package for fftw3_3_3_8-gnu-mpich-hpc-devel
fftw3-gnu-mpich-hpc-devel-3.3.8-88.3.x86_64.rpm Dependency package for fftw3_3_3_8-gnu-mpich-hpc-devel
fftw3-gnu-mvapich2-hpc-devel-3.3.8-88.3.i586.rpm Dependency package for fftw3_3_3_8-gnu-mvapich2-hpc-devel
fftw3-gnu-mvapich2-hpc-devel-3.3.8-88.3.x86_64.rpm Dependency package for fftw3_3_3_8-gnu-mvapich2-hpc-devel
fftw3-gnu-openmpi1-hpc-devel-3.3.8-88.3.i586.rpm Dependency package for fftw3_3_3_8-gnu-openmpi1-hpc-devel
fftw3-gnu-openmpi1-hpc-devel-3.3.8-88.3.x86_64.rpm Dependency package for fftw3_3_3_8-gnu-openmpi1-hpc-devel
fftw3-gnu-openmpi2-hpc-devel-3.3.8-88.3.i586.rpm Dependency package for fftw3_3_3_8-gnu-openmpi2-hpc-devel
Advertisement
Advertisement